GEOS 3.4.2

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
geos::noding::SinglePassNoder Class Referenceabstract

`#include <SinglePassNoder.h>`

Inheritance diagram for geos::noding::SinglePassNoder:

## Public Member Functions
| SinglePassNoder (SegmentIntersector *nSegInt=NULL)
virtual void | setSegmentIntersector (SegmentIntersector *newSegInt)
virtual void | computeNodes (std::vector< SegmentString * > *segStrings)=0
virtual std::vector < SegmentString * > * | getNodedSubstrings () const =0

## Protected Attributes
SegmentIntersector * | segInt
| Externally owned.

## Detailed Description

Base class for Noders which make a single pass to find intersections. This allows using a custom SegmentIntersector (which for instance may simply identify intersections, rather than insert them).

Last port: noding/SinglePassNoder.java rev. 1.3 (JTS-1.7)

TODO: Noder inheritance (that's just an interface!)

## Member Function Documentation

virtual void geos::noding::SinglePassNoder::computeNodes | ( | std::vector< SegmentString * > * | segStrings | ) |
| pure virtual

Computes the noding for a collection of SegmentStrings.

Parameters

  segStrings | a collection of SegmentStrings to node

Implements geos::noding::Noder.

Implemented in geos::noding::MCIndexNoder, and geos::noding::SimpleNoder.

virtual std::vector<SegmentString*>* geos::noding::SinglePassNoder::getNodedSubstrings | ( |  | ) | const
| pure virtual

Returns a Collection of fully noded SegmentStrings. The SegmentStrings have the same context as their parent.

Returns
  a Collection of SegmentStrings

Implements geos::noding::Noder.

Implemented in geos::noding::MCIndexNoder, and geos::noding::SimpleNoder.

virtual void geos::noding::SinglePassNoder::setSegmentIntersector | ( | SegmentIntersector * | newSegInt | ) |
| inline virtual

Sets the SegmentIntersector to use with this noder. A SegmentIntersector will normally add intersection nodes to the input segment strings, but it may not - it may simply record the presence of intersections. However, some Noders may require that intersections be added.

Parameters

  newSegInt |

The documentation for this class was generated from the following file:

- SinglePassNoder.h